stages:
  - test
  - quality

code_quality_job:
  stage: quality
  image: docker:20
  allow_failure: true
  services:
    - docker:20-dind
  before_script:
    - mkdir codequality-results
  script:
    - docker run
        --env CODECLIMATE_CODE="/code"
        --volume "$PWD":/code
        --volume /var/run/docker.sock:/var/run/docker.sock
        --volume /tmp/cc:/tmp/cc
        codeclimate/codeclimate:0.94.1 analyze -f html > ./codequality-results/index.html
  artifacts:
    paths:
      - codequality-results/
  tags:
    - gitlab-org-docker
